toolzerhub API Docs

Get the fights of one fight night (v1)

Returns every fight of one fight night, main event first, for one part of the card. Use the night's sub-tournament id. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/mma/fight-night

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Organization id (uniqueTournament.id), such as 19906 for UFC.

Range1 <= value <= 10000000000
sub_tournament_id*integer

The fight night's sub-tournament id (tournament.id on a fight).

Range1 <= value <= 10000000000
card?string

Part of the fight card: all, maincard, prelims or earlyprelims.

Default"all"

Value in

  • "all"
  • "maincard"
  • "prelims"
  • "earlyprelims"
curl -X GET "https://example.com/v1/sofascore/mma/fight-night?id=19906&sub_tournament_id=169584" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}